New Gitlab Vulnerability could allow an attacker to save packages in arbitrary locations

Path traversal flaw in package upload feature in GitLab CE/EE beginning from 12.8 enables an attacker to save packages in random locations.

Tuesday, November 17, 2020, 21:46 GMT

Affected variants are >=12.8, <13.3.9,>=13.4, <13.4.5,>=13.5, <13.5.2.

CODE:

{
  "data_type": "CVE",
  "data_format": "MITRE",
  "data_version": "4.0",
  "CVE_data_meta": {
    "ID": "CVE-2020-26405",
    "ASSIGNER": "[email protected]"
  },
  "affects": {
    "vendor": {
      "vendor_data": [
        {
          "vendor_name": "GitLab",
          "product": {
            "product_data": [
              {
                "product_name": "GitLab",
                "version": {
                  "version_data": [
                    {
                      "version_value": ">=12.8, <13.3.9"
                    },
                    {
                      "version_value": ">=13.4, <13.4.5"
                    },
                    {
                      "version_value": ">=13.5, <13.5.2"
                    }
                  ]
                }
              }
            ]
          }
        }
      ]
    }
  },
  "problemtype": {
    "problemtype_data": [
      {
        "description": [
          {
            "lang": "eng",
            "value": "Improper limitation of a pathname to a restricted directory ('path traversal') in GitLab"
          }
        ]
      }
    ]
  },
  "references": {
    "reference_data": [
      {
        "name": "https://gitlab.com/gitlab-org/gitlab/-/issues/247371",
        "url": "https://gitlab.com/gitlab-org/gitlab/-/issues/247371",
        "refsource": "MISC"
      },
      {
        "name": "https://hackerone.com/reports/835427",
        "url": "https://hackerone.com/reports/835427",
        "refsource": "MISC"
      },
      {
        "name": "https://gitlab.com/gitlab-org/cves/-/blob/master/2020/CVE-2020-26405.json",
        "url": "https://gitlab.com/gitlab-org/cves/-/blob/master/2020/CVE-2020-26405.json",
        "refsource": "CONFIRM"
      }
    ]
  },
  "description": {
    "description_data": [
      {
        "lang": "eng",
        "value": "Path traversal vulnerability in package upload functionality in GitLab CE/EE starting from 12.8 allows an attacker to save packages in arbitrary locations."
      }
    ]
  },
  "impact": {
    "cvss": {
      "vectorString": "AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:L",
      "attackComplexity": "LOW",
      "attackVector": "NETWORK",
      "availabilityImpact": "LOW",
      "confidentialityImpact": "NONE",
      "integrityImpact": "HIGH",
      "privilegesRequired": "LOW",
      "scope": "UNCHANGED",
      "userInteraction": "NONE",
      "version": "3.1",
      "baseScore": 7.1,
      "baseSeverity": "HIGH"
    }
  },
  "credit": [
    {
      "lang": "eng",
      "value": "Thanks [@vakzz](https://hackerone.com/vakzz) for reporting this vulnerability through our HackerOne bug bounty program"
    }
  ]
}

References:

CveMitre